Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get external IdP

Prev Next

Available in Classic and VPC

Get an external SAML IdP.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/tenant/saml-idp

Request headers

For information about the headers common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On request headers.

Request example

The request example is as follows:

curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/tenant/saml-idp' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
signRequest Boolean - Whether to sign AuthnRequest
  • true | false
    • true: sign
    • false: not sign
providerId String - IdP's unique identifier
idpSigninUrl String - Login URL of the IdP to which the user is redirected when logging in through SSO
idpIssuerUrl String - URL used as the issuer in SAML response
signRequestAlgorithm String - Hash algorithm used to sign SAML requests
  • Displayed when signRequest is true
  • SHA-1 | SHA-256
    • SHA-1: SHA-1 hash algorithm
    • SHA-256: SHA-256 hash algorithm
signResponseAlgorithm String - Hash algorithm used to sign SAML requests
  • SHA-1 | SHA-256
    • SHA-1: SHA-1 hash algorithm
    • SHA-256: SHA-256 hash algorithm
protocolBinding String - Protocol binding used when sending SAML requests and responses
  • HTTP-POST | HTTP-REDIRECT
    • HTTP-POST: Method of sending a SAML message by including it in the body of an HTTP-POST request
    • HTTP-REDIRECT: Method of sending a SAML message as a URL query parameter via an HTTP-GET request
idpCert String - Public certificate of the IdP used to verify the signature of the SAML response (deprecated)
idpCertExpAt String - IdP certificate expiration date and time (deprecated)
  • ISO 8601 format
idpCerts Array - List of public certificates of the IdP used to verify the signature of the SAML response: idpCerts

idpCerts

The following describes idpCerts.

Field Type Required Description
certificate String - Public certificate of the IdP used to verify the signature of the SAML response
expiredAt String - IdP certificate expiration date and time
  • ISO 8601 format

Response status codes

For information about the response status codes common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On response status codes.

Response example

The response example is as follows:

{
    "signRequest": false,
    "providerId": "54c6bad4-****-****-****-e768030ebd25",
    "idpSigninUrl": "https://portal.sso.ap-southeast-2.amazonaws.com/saml/assertion/MDUwNzUy****************************ZTU0NTkx",
    "idpIssuerUrl": "https://portal.sso.ap-southeast-2.amazonaws.com/saml/assertion/MDUwNzUy****************************ZTU0NTkx",
    "signResponseAlgorithm": "SHA-1",
    "protocolBinding": "HTTP-POST",
    "idpCerts": [{
        "certificate": "MIID**********q1QPA==",
        "expiredAt": "2030-01-20T03:01:54Z"
    }]
}